# Class Constants

java.lang.Object
org.apache.tomcat.websocket.server.Constants

public class Constants extends Object
Internal implementation constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  Servlet context init parameter name for binary buffer size.
  `static final String`
  `SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE`
  Servlet context attribute name for the ServerContainer instance.
  `static final String`
  `TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  Servlet context init parameter name for text buffer size.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM
    Servlet context init parameter name for binary buffer size.
    See Also:
      - Constant Field Values

  - ### TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM
    Servlet context init parameter name for text buffer size.
    See Also:
      - Constant Field Values

  - ### SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

    public static final String SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE
    Servlet context attribute name for the ServerContainer instance.
    See Also:
      - Constant Field Values